#include <stdio.h>
#include "hocdec.h"
extern int nrnmpi_myid;
extern int nrn_nobanner_;
#if defined(__cplusplus)
extern "C" {
#endif

extern void _cad_reg(void);
extern void _cal_reg(void);
extern void _can2_reg(void);
extern void _car_reg(void);
extern void _cat_reg(void);
extern void _ghkampa_reg(void);
extern void _ghknmda_reg(void);
extern void _h_reg(void);
extern void _kadist_reg(void);
extern void _kaprox_reg(void);
extern void _kdrca1_reg(void);
extern void _km_reg(void);
extern void _minmax_reg(void);
extern void _na3_reg(void);
extern void _na3s_reg(void);
extern void _nax_reg(void);
extern void _skkin_reg(void);
extern void _vmax_reg(void);

void modl_reg() {
  if (!nrn_nobanner_) if (nrnmpi_myid < 1) {
    fprintf(stderr, "Additional mechanisms from files\n");
    fprintf(stderr, " \"cad.mod\"");
    fprintf(stderr, " \"cal.mod\"");
    fprintf(stderr, " \"can2.mod\"");
    fprintf(stderr, " \"car.mod\"");
    fprintf(stderr, " \"cat.mod\"");
    fprintf(stderr, " \"ghkampa.mod\"");
    fprintf(stderr, " \"ghknmda.mod\"");
    fprintf(stderr, " \"h.mod\"");
    fprintf(stderr, " \"kadist.mod\"");
    fprintf(stderr, " \"kaprox.mod\"");
    fprintf(stderr, " \"kdrca1.mod\"");
    fprintf(stderr, " \"km.mod\"");
    fprintf(stderr, " \"minmax.mod\"");
    fprintf(stderr, " \"na3.mod\"");
    fprintf(stderr, " \"na3s.mod\"");
    fprintf(stderr, " \"nax.mod\"");
    fprintf(stderr, " \"skkin.mod\"");
    fprintf(stderr, " \"vmax.mod\"");
    fprintf(stderr, "\n");
  }
  _cad_reg();
  _cal_reg();
  _can2_reg();
  _car_reg();
  _cat_reg();
  _ghkampa_reg();
  _ghknmda_reg();
  _h_reg();
  _kadist_reg();
  _kaprox_reg();
  _kdrca1_reg();
  _km_reg();
  _minmax_reg();
  _na3_reg();
  _na3s_reg();
  _nax_reg();
  _skkin_reg();
  _vmax_reg();
}

#if defined(__cplusplus)
}
#endif
